import service from '@/utils/request'

export const getUserList = (data) => {
    return service({
        url: "/admin/getUserList",
        method: 'post',
        data
    })
}

export const getUserCourseList = (data) => {
    return service({
        url: "/admin/getUserCourseList",
        method: 'post',
        data
    })
}

export const finishDownload = (data) => {
    return service({
        url: "/admin/finishDownload",
        method: 'post',
        data
    })
}


export const getUserFinishList = (data) => {
    return service({
        url: "/admin/getUserFinishList",
        method: 'post',
        data
    })
}

export const getIdentifyList = (data) => {
    return service({
        url: "/admin/getIdentifyList",
        method: 'post',
        data
    })
}

export const getUnRegisterList = (data) => {
    return service({
        url: "/admin/getUnRegisterList",
        method: 'post',
        data
    })
}


export const resetUserPass = (data) => {
    return service({
        url: "/admin/resetUserPass",
        method: 'post',
        data
    })
}

export const updateUserInfo = (data) => {
    return service({
        url: "/admin/updateUserInfo",
        method: 'post',
        data
    })
}

export const getCertificateList = (data) => {
    return service({
        url: "/admin/getCertificateList",
        method: 'post',
        data
    })
}

export const getWxpaylogList = (data) => {
    return service({
        url: "/admin/getWxpaylogList",
        method: 'post',
        data
    })
}

export const postData = (action, data) => {
    return service({
        url: `/admin/${action}`,
        method: 'post',
        data
    })
}